/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<commonroomsmodel.h>)
#  include <commonroomsmodel.h>
#endif
#if __has_include(<controller.h>)
#  include <controller.h>
#endif
#if __has_include(<foreigntypes.h>)
#  include <foreigntypes.h>
#endif
#if __has_include(<identityserverhelper.h>)
#  include <identityserverhelper.h>
#endif
#if __has_include(<limitermodel.h>)
#  include <limitermodel.h>
#endif
#if __has_include(<mediamanager.h>)
#  include <mediamanager.h>
#endif
#if __has_include(<neochatconfig.h>)
#  include <neochatconfig.h>
#endif
#if __has_include(<notificationsmanager.h>)
#  include <notificationsmanager.h>
#endif
#if __has_include(<notificationsmodel.h>)
#  include <notificationsmodel.h>
#endif
#if __has_include(<proxycontroller.h>)
#  include <proxycontroller.h>
#endif
#if __has_include(<roommanager.h>)
#  include <roommanager.h>
#endif
#if __has_include(<serverlistmodel.h>)
#  include <serverlistmodel.h>
#endif
#if __has_include(<sharehandler.h>)
#  include <sharehandler.h>
#endif
#if __has_include(<supportcontroller.h>)
#  include <supportcontroller.h>
#endif
#if __has_include(<texttospeechhelper.h>)
#  include <texttospeechhelper.h>
#endif
#if __has_include(<userdirectorylistmodel.h>)
#  include <userdirectorylistmodel.h>
#endif
#if __has_include(<windowcontroller.h>)
#  include <windowcontroller.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_neochat()
{
    qmlRegisterModule("org.kde.neochat", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<CommonRoomsModel>("org.kde.neochat", 254);
    qmlRegisterEnum<CommonRoomsModel::Roles>("CommonRoomsModel::Roles");
    qmlRegisterTypesAndRevisions<Controller>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<ForeignAccountRegistry>("org.kde.neochat", 254);
    QMetaType::fromType<ForeignAccountRegistry *>().id();
    qmlRegisterTypesAndRevisions<ForeignKeyImport>("org.kde.neochat", 254);
    QMetaType::fromType<ForeignKeyImport *>().id();
    qmlRegisterTypesAndRevisions<ForeignKeyVerificationSession>("org.kde.neochat", 254);
    QMetaType::fromType<ForeignKeyVerificationSession *>().id();
    qmlRegisterTypesAndRevisions<ForeignSSSSHandler>("org.kde.neochat", 254);
    QMetaType::fromType<ForeignSSSSHandler *>().id();
    qmlRegisterTypesAndRevisions<IdentityServerHelper>("org.kde.neochat", 254);
    qmlRegisterEnum<IdentityServerHelper::IdServerStatus>("IdentityServerHelper::IdServerStatus");
    QMetaType::fromType<KConfigSkeleton *>().id();
    QMetaType::fromType<KCoreConfigSkeleton *>().id();
    qmlRegisterEnum<KCoreConfigSkeleton::DisambiguateConstructor>("KCoreConfigSkeleton::DisambiguateConstructor");
    qmlRegisterTypesAndRevisions<LimiterModel>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<MediaManager>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<NeoChatConfig>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<NotificationsManager>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<NotificationsModel>("org.kde.neochat", 254);
    qmlRegisterEnum<NotificationsModel::Roles>("NotificationsModel::Roles");
    qmlRegisterTypesAndRevisions<ProxyController>("org.kde.neochat", 254);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<RoomManager>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<ServerListModel>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<ShareHandler>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<SupportContact>("org.kde.neochat", 254);
    QMetaType::fromType<SupportContact *>().id();
    qmlRegisterTypesAndRevisions<SupportController>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<TextToSpeechHelper>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<UserDirectoryListModel>("org.kde.neochat", 254);
    qmlRegisterTypesAndRevisions<WindowController>("org.kde.neochat", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.neochat", 254, 254);
}

static const QQmlModuleRegistration orgkdeneochatRegistration("org.kde.neochat", qml_register_types_org_kde_neochat);
